package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.declaration.entity.BmsTemplateRecord;
import com.ruoyi.jjh.declaration.entity.dto.BmsTemplateRecordQueryDto;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateRecordQueryVo;
import com.ruoyi.jjh.declaration.entity.vo.BmsTemplateRecordVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 在线模板Mapper接口
 *
 * @author farben
 * @date 2023-09-07
 */
public interface BmsTemplateRecordMapper extends BaseMapper<BmsTemplateRecord> {

    /**
     * 获取在线模板详细信息
     */
    public BmsTemplateRecordVo selectBmsTemplateRecordVoById(Long id);


    /**
     * 导出查询所有在线模板列表
     *
     * @param bmsTemplateRecordQueryDto 在线模板
     * @return 在线模板
     */
    public List<BmsTemplateRecordQueryVo> selectTemplateRecordVo(@Param("req") BmsTemplateRecordQueryDto bmsTemplateRecordQueryDto);


    /**
     * 删除在线模板
     *
     * @param id 在线模板主键
     * @return 结果
     */
    public int deleteBmsTemplateRecordById(Long id);

    /**
     * 批量删除在线模板
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsTemplateRecordByIds(Long[] ids);


    /**
     * 分页查询在线模板列表
     *
     * @param bmsTemplateRecordQueryDto 在线模板
     * @return 在线模板集合
     */
    public Page<BmsTemplateRecordQueryVo> selectTemplateRecordVo(Page<BmsTemplateRecordQueryVo> page, @Param("req") BmsTemplateRecordQueryDto bmsTemplateRecordQueryDto);

//    /**
//     * 企业端选择表单模板列表
//     * @param bmsTemplateQueryDto
//     * @return
//     */
//    public List<BmsTemplateRecordQueryVo> selectBmsTemplateNameList(BmsTemplateQueryDto bmsTemplateQueryDto);
}
