package com.ruoyi.jjh.declaration.regular;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.jjh.declaration.entity.BmsDeclarationRecords;
import com.ruoyi.jjh.declaration.service.IBmsDeclarationRecordsService;
import com.ruoyi.jjh.ent.service.SmsAlertsService;
import com.ruoyi.system.mapper.SysUserMapper;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;
import java.util.List;

/**
 * 发送短信定时任务
 *
 * @author du
 * @since 2024/7/17 10:30
 */
@Configuration
@EnableScheduling
public class SmsEnterChange {

    @Resource
    private SysUserMapper sysUserMapper;

    @Resource
    private IBmsDeclarationRecordsService iBmsDeclarationRecordsService;

    @Resource
    private SmsAlertsService smsAlertsService;

    @Value("${isTiming}")
    private Boolean isTiming;

    // 每三小时执行一次
    @Scheduled(cron = "0 0 */12 * * *")
    private void runTask() {
        if (isTiming) {
            //查询初审的所有用户
            SysUser user = new SysUser();
            user.setDeptId(105L);
            Long count = iBmsDeclarationRecordsService.lambdaQuery().eq(BmsDeclarationRecords::getStatus, 1).count();
            if (count > 0) {
                List<SysUser> list1 = sysUserMapper.selectUserList(user);
                list1.removeIf(x -> x.getPhonenumber().isEmpty());
                for (SysUser items : list1) {
                    smsAlertsService.enterSms("政府人员-" + items.getNickName(), "您有" + count + "个新的申报审核任务[待初审]", items.getPhonenumber());
                }
            }
            //查询复审的所有用户
            SysUser user1 = new SysUser();
            user1.setDeptId(101L);
            Long count1 = iBmsDeclarationRecordsService.lambdaQuery().eq(BmsDeclarationRecords::getStatus, 2).count();
            if (count1 > 0) {
                List<SysUser> list2 = sysUserMapper.selectUserList(user1);
                list2.removeIf(x -> x.getPhonenumber().isEmpty());
                for (SysUser items : list2) {
                    smsAlertsService.enterSms("政府人员-" + items.getNickName(), "您有" + count1 + "个新的申报审核任务[待复审]", items.getPhonenumber());
                }
            }
            //查询终审的所有用户
            SysUser user2 = new SysUser();
            user2.setDeptId(103L);
            Long count2 = iBmsDeclarationRecordsService.lambdaQuery().eq(BmsDeclarationRecords::getStatus, 3).count();
            if (count2 > 0) {
                List<SysUser> list3 = sysUserMapper.selectUserList(user2);
                list3.removeIf(x -> x.getPhonenumber().isEmpty());
                for (SysUser items : list3) {
                    smsAlertsService.enterSms("政府人员-" + items.getNickName(), "您有" + count2 + "个新的申报审核任务[待终审]", items.getPhonenumber());
                }
            }
        }
    }
}
