package com.ruoyi.jjh.ent.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.jjh.ent.entity.JContacts;
import com.ruoyi.jjh.ent.entity.request.JContactsRequest;
import com.ruoyi.jjh.ent.service.JContactsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.Serializable;

/**
 * 企业联系人信息(存在多个)（j_contacts）表控制层
 *
 * @author du
 * @since 2024/5/13 9:56
 */
@RestController
@RequestMapping("/jjh/jContacts")
@Api(tags = "企业联系人信息(存在多个)")
public class JContactsController extends BaseController {

    @Resource
    private JContactsService jContactsService;

    /**
     * 分页查询联络人数据
     *
     * @param jContacts 查询实体
     * @return 所有数据
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov,ent')")
    @ApiOperation(value = "分页查询联络人数据", response = JContacts.class)
    @GetMapping
    public AjaxResult selectAll(JContactsRequest jContacts) {
        // 获取当前登录用户是否是企业端
        boolean admin = false;
        boolean b = false;
        String str = null;
        try {
            admin = SecurityUtils.isAdmin(SecurityUtils.getUserId());
            b = SecurityUtils.hasRole("ent");
            str = SecurityUtils.getUsername();
        } catch (Exception ignored) {
        }
        if (!admin && b) {
            jContacts.setTyshxydm(str);
        }
        return success(jContactsService.page(jContacts));
    }


    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov,ent')")
    @ApiOperation(value = "通过主键查询单条数据", response = JContacts.class)
    @GetMapping("{id}")
    public AjaxResult selectOne(@PathVariable Serializable id) {
        return success(jContactsService.getById(id));
    }


}
