package com.ruoyi.jjh.ent.entity.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 项目追踪情况返回体
 *
 * @author du
 * @since 2024/7/16 9:15
 */
@Data
@ApiModel("项目追踪情况返回体")
public class ProjectTrackingResponse {


    /**
     * 项目大类名字
     */
    @ApiModelProperty("项目大类名字")
    private String enterpriseDirectory;

    /**
     * 填报开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填报开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate startTime;

    /**
     * 填报结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填报结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate endTime;

    /**
     * 数量
     */
    @ApiModelProperty("数量")
    private Integer count;
}
