package com.ruoyi.jjh.ent.service;

import com.ruoyi.jjh.ent.entity.response.HonorResponse;
import com.ruoyi.jjh.ent.entity.response.JAllIndustryResponse;
import com.ruoyi.jjh.ent.entity.response.JIndustryDepthResponse;
import com.ruoyi.jjh.ent.entity.response.JServicesDevelopResponse;
import com.ruoyi.jjh.ent.entity.response.ProjectTrackingResponse;

import java.util.List;

/**
 * 数据大屏业务层
 *
 * @author du
 * @since 2024/5/13 9:58
 */
public interface JDataScreenService {

    /**
     * 荣誉情况
     *
     * @return 所有数据
     */
    List<HonorResponse> getHonor();

    /**
     * 项目追踪情况
     *
     * @return 所有数据
     */
    List<ProjectTrackingResponse> getProjectTracking();


    /**
     * 服务业发展总览
     *
     * @return 所有数据
     */
    List<JServicesDevelopResponse> servicesDevelop(Integer type);

    /**
     * 行业纵深情况
     *
     * @return 所有数据
     */
    List<JIndustryDepthResponse> getIndustryDepth();


    /**
     * 所有分行业汇总
     *
     * @return 所有数据
     */
    List<JAllIndustryResponse> getAllIndustry();
}
